## hydrogen-git 0.9.6+git20130930-0~precise1

=== CMakeLists.txt ===
#
# CMAKE SETUP
#

CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
SET(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})
# The CMake Policy mechanism is designed to help keep existing projects building as new versions of CMake introduce changes in behavior.
# http://www.cmake.org/cmake/help/cmake2.6docs.html#command:cmake_policy
IF(COMMAND CMAKE_POLICY)
#	CMAKE_POLICY(SET CMP0005 NEW)
	CMAKE_POLICY(SET CMP0003 NEW)   # add_library
	CMAKE_POLICY(SET CMP0006 NEW)   # bundle destination property
ENDIF()

#
# PROJECT INFO
#
PROJECT(hydrogen)
SET(VERSION_MAJOR "0")
SET(VERSION_MINOR "9")
SET(VERSION_PATCH "6")
#SET(VERSION_SUFFIX "beta3")

SET(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")


IF(VERSION_SUFFIX)
	SET(DISPLAY_VERSION "${VERSION}-${VERSION_SUFFIX}")
ELSE() 
	EXECUTE_PROCESS(COMMAND git log --pretty=format:'%h' -n 1 OUTPUT_VARIABLE GIT_REVISION )
	SET(DISPLAY_VERSION "${VERSION}-${GIT_REVISION}")
ENDIF(VERSION_SUFFIX)
SET(LIBSNDFILE_VERSION_PREV "1.0.17")

#
# CONFIG OPTIONS
#
SET(WANT_LIBTAR TRUE)
OPTION(WANT_DEBUG       "build with debug information" ON)

IF(APPLE)
    OPTION(WANT_SHARED      "Build the core library shared." OFF)
ELSE()
    OPTION(WANT_SHARED      "Build the core library shared." ON)
ENDIF()

OPTION(WANT_LIBARCHIVE   "Enable use of libarchive instead of libtar" OFF)
OPTION(WANT_LADSPA       "Enable use of LADSPA plugins" ON)

IF(APPLE)
	OPTION(WANT_JACKSESSION "Enable use of Jack-Session-Handler" OFF)
ELSE()
	OPTION(WANT_JACKSESSION "Enable use of Jack-Session-Handler" ON)
ENDIF()

OPTION(WANT_OSS          "Include OSS (Open Sound System) support" OFF)
OPTION(WANT_ALSA         "Include ALSA (Advanced Linux Sound Architecture) support" ON)
OPTION(WANT_JACK         "Include JACK (Jack Audio Connection Kit) support" ON)
OPTION(WANT_PORTAUDIO    "Include PortAudio support" OFF)
OPTION(WANT_PORTMIDI     "Include PortMidi support" OFF)
OPTION(WANT_PULSEAUDIO   "Include PulseAudio support" ON)
OPTION(WANT_LASH         "Include LASH (Linux Audio Session Handler) support" OFF)
OPTION(WANT_LRDF         "Include LRDF (Lightweight Resource Description Framework with special support for LADSPA plugins) support" OFF)
OPTION(WANT_RUBBERBAND   "Include RUbberBand (Audio Time Stretcher Library) support" OFF)
IF(APPLE)
    OPTION(WANT_COREAUDIO   "Include CoreAudio support" ON)
    OPTION(WANT_COREMIDI    "Include CoreMidi support" ON)
    OPTION(WANT_BUNDLE  "Build a MAC OSX bundle application" ON)
ENDIF()

IF(WANT_DEBUG)
    SET(CMAKE_BUILD_TYPE Debug)
    SET(H2CORE_HAVE_DEBUG TRUE)
ELSE()
    SET(CMAKE_BUILD_TYPE Release)
    SET(H2CORE_HAVE_DEBUG FALSE)
ENDIF()

IF(WANT_BUNDLE)
    SET(H2CORE_HAVE_BUNDLE TRUE)
ELSE()
    SET(H2CORE_HAVE_BUNDLE FALSE)
ENDIF()

IF(WANT_SHARED)
    SET(H2CORE_LIBRARY_TYPE SHARED)
ELSE()
    SET(H2CORE_LIBRARY_TYPE STATIC)
ENDIF()

#SET(CMAKE_CXX_FLAGS "-fno-implement-inlines -finline-small-functions -findirect-inlining -fpartial-inlining")
SET(CMAKE_CXX_FLAGS "-O2 -fno-implement-inlines")
SET(CMAKE_CXX_FLAGS_RELEASE "")
SET(CMAKE_CXX_FLAGS_DEBUG "-g ")#-Winline")


IF(APPLE)
	#Compile for 32bit and 64bit intel macs
	SET (CMAKE_OSX_ARCHITECTURES "i386;x86_64;")
ENDIF()
#
# MANDATORY PKGS AND DEFAULT OPTIONS
#
INCLUDE(StatusSupportOptions)
MANDATORY_PKG(QT4)
MANDATORY_PKG(Threads)
MANDATORY_PKG(LIBSNDFILE)

# TODO remove data from path
SET(SYS_DATA_PATH "${CMAKE_INSTALL_PREFIX}/share/hydrogen/data")
# TODO remove data from path, could be .config/hydrogen
SET(USR_DATA_PATH ".hydrogen/data")
IF(WIN32)
    SET(WANT_JACK FALSE)
    SET(Threads_PATH "C:/Program Files/GnuWin32")
    SET(LIBARCHIVE_PATH "C:/Program Files/GnuWin32")
    SET(LIBSNDFILE_PATH "C:/Program Files/Mega-Nerd/libsndfile")
ELSE(WIN32)
    IF(APPLE)
        LINK_DIRECTORIES("/opt/local/lib")
    ELSE(APPLE)
        SET(OSS_LIB_PATHS "/usr/lib${LIB_SUFFIX}/oss/lib" "/usr/local/lib${LIB_SUFFIX}/oss/lib" )
        SET(RUBBERBAND_INCLUDE_PATHS "/usr/include/rubberband" )
    ENDIF(APPLE)
ENDIF(WIN32)


#
# HEADER LIBRARY FUNCTIONS
#
INCLUDE(CompileHelper)
INCLUDE(FindHelper)
INCLUDE(FindLadspa)
INCLUDE(CheckIncludeFiles)
INCLUDE(CheckLibraryExists)
INCLUDE(FindZLIB)
INCLUDE(FindThreads)
COMPILE_HELPER(SSCANF ${CMAKE_SOURCE_DIR}/cmake/sscanf sscanf )
COMPILE_HELPER(RTCLOCK ${CMAKE_SOURCE_DIR}/cmake/rtclock rtclock )
CHECK_INCLUDE_FILES(sys/types.h HAVE_SYS_TYPES_H)
CHECK_INCLUDE_FILES(sys/stat.h HAVE_SYS_STAT_H)
CHECK_INCLUDE_FILES(libtar.h HAVE_LIBTAR_H)
CHECK_LIBRARY_EXISTS(tar tar_open "" HAVE_LIBTAR_OPEN)
CHECK_LIBRARY_EXISTS(tar tar_close "" HAVE_LIBTAR_CLOSE)
CHECK_LIBRARY_EXISTS(tar tar_extract_all "" HAVE_LIBTAR_EXTRACT_ALL)
IF(HAVE_LIBTAR_H AND HAVE_LIBTAR_OPEN AND HAVE_LIBTAR_CLOSE AND HAVE_LIBTAR_EXTRACT_ALL)
    SET(LIBTAR_OK TRUE)
ELSE()
    SET(LIBTAR_OK FALSE)
ENDIF()
FIND_HELPER(LIBTAR tar tar.h tar)
IF( NOT LIBTAR_FOUND OR NOT LIBTAR_OK OR NOT ZLIB_FOUND )
    SET(WANT_LIBTAR FALSE)
    MANDATORY_PKG(LIBARCHIVE)
ENDIF()
FIND_HELPER(LIBARCHIVE archive archive.h archive)
IF( WANT_LIBARCHIVE AND LIBARCHIVE_FOUND)
    SET(WANT_LIBTAR FALSE)
ENDIF()
FIND_HELPER(LIBSNDFILE sndfile sndfile.h sndfile)
FIND_HELPER(ALSA alsa alsa/asoundlib.h asound )
FIND_LADSPA(LADSPA ladspa.h noise)
FIND_HELPER(OSS oss sys/soundcard.h OSSlib )
FIND_HELPER(JACK jack jack/jack.h jack)
FIND_HELPER(JACKSESSION jack jack/session.h jack)
IF(APPLE)
    FIND_LIBRARY(AUDIOUNIT_LIBRARY AudioUnit)
    FIND_LIBRARY(CORESERVICES_LIBRARY CoreServices)
    FIND_HELPER(COREAUDIO CoreAudio-2.0 coreaudio.h coreaudio)
    FIND_HELPER(COREMIDI CoreMidi coremidi.h coremidi)
ENDIF()
FIND_HELPER(PORTAUDIO portaudio-2.0 portaudio.h portaudio)
FIND_HELPER(PORTMIDI portmidi portmidi.h portmidi)
FIND_HELPER(PULSEAUDIO pulseaudio pulse/pulseaudio.h pulse)
FIND_HELPER(LASH lash-1.0 lash/lash.h lash)
FIND_HELPER(LRDF lrdf lrdf.h lrdf)
FIND_HELPER(RUBBERBAND rubberband RubberBandStretcher.h rubberband)
# CHECK FOR Qt4
SET(QT_USE_QTNETWORK true)
SET(QT_USE_QTXML true)
SET(QT_USE_QTGUI true)
SET(QT_USE_QTXMLPATTERNS true)
FIND_PACKAGE(Qt4 4.3.0 REQUIRED)

find_package(Doxygen)
if(DOXYGEN_FOUND)
	configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile @ONLY)
	add_custom_target(doc
		${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
                WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/docs
		COMMENT "Generating API documentation with Doxygen" VERBATIM
		)
endif(DOXYGEN_FOUND)

#
# COMPUTE H2CORE_HAVE_xxx xxx_STATUS_REPORT
#
SET(STATUS_LIST LIBSNDFILE LIBTAR LIBARCHIVE LADSPA ALSA OSS JACK JACKSESSION COREAUDIO COREMIDI PORTAUDIO PORTMIDI PULSEAUDIO LASH LRDF RUBBERBAND )
FOREACH( _pkg ${STATUS_LIST})
    COMPUTE_PKGS_FLAGS(${_pkg})
ENDFOREACH()

# LIBSNDFILE CHECKS
STRING( COMPARE GREATER "${LIBSNDFILE_VERSION}" "${LIBSNDFILE_VERSION_PREV}" LIBSNDFILE_VERSION_OK)
IF(LIBSNDFILE_VERSION_OK)
    SET(LIBSNDFILE_MSG "libsndfile supports FLAC and OGG sound file formats")
ELSE()
    SET(LIBSNDFILE_MSG "libsndfile version must be greater than ${LIBSNDFILE_VERSION_PREV} to support LFAC and OGG sound file formats")
ENDIF()

# RUBBERBAND information
SET(LIBRUBBERBAND_MSG "The use of librubberband2 is marked as experimental.
*				 Because the current implementation produce wrong timing!
*				 So long this bug isn't solved, please disable this option.
*				 If rubberband-cli is installed, the hydrogen rubberband-fuction
*				 will work properly as expected.")

#
# CONFIG PROCESS SUMMARY
#
SET(reset "${_escape}[0m")
SET(red "${_escape}[1;31m")
SET(purple "${_escape}[1;35m")
SET(cyan "${_escape}[1;36m")

COLOR_MESSAGE("${cyan}Installation Summary${reset}
--------------------
* Install Directory            : ${CMAKE_INSTALL_PREFIX}
* User data path               : ${USR_DATA_PATH}
* System data path             : ${SYS_DATA_PATH}
* core library build as        : ${H2CORE_LIBRARY_TYPE}
* debug capabilities           : ${H2CORE_HAVE_DEBUG}
* macosx bundle                : ${H2CORE_HAVE_BUNDLE}\n"
)

COLOR_MESSAGE("${cyan}Main librarires${reset}
* ${purple}libQt${reset}                        : ${QT_VERSION_MAJOR}.${QT_VERSION_MINOR}.${QT_VERSION_PATCH}
* ${purple}libsndfile${reset}                   : ${LIBSNDFILE_STATUS}
*                                ${LIBSNDFILE_MSG}
* ${purple}libtar${reset}                       : ${LIBTAR_STATUS}
* ${purple}libarchive${reset}                   : ${LIBARCHIVE_STATUS}
* ${purple}ladspa${reset}                       : ${LADSPA_STATUS}\n"
)

COLOR_MESSAGE("${cyan}Supported audio interfaces${reset}
--------------------------
* ${purple}ALSA${reset}                         : ${ALSA_STATUS}
* ${purple}OSS${reset}                          : ${OSS_STATUS}
* ${purple}JACK${reset}                         : ${JACK_STATUS}
* ${purple}JACKSESSION${reset}                  : ${JACKSESSION_STATUS}
* ${purple}CoreAudio${reset}                    : ${COREAUDIO_STATUS}
* ${purple}CoreMidi${reset}                     : ${COREMIDI_STATUS}
* ${purple}PortAudio${reset}                    : ${PORTAUDIO_STATUS}
* ${purple}PortMidi${reset}                     : ${PORTMIDI_STATUS}
* ${purple}PulseAudio${reset}                   : ${PULSEAUDIO_STATUS}\n"
)

COLOR_MESSAGE("${cyan}Usefull extensions${reset}
-----------------------------------------
* ${purple}LASH${reset}                         : ${LASH_STATUS}
* ${purple}LRDF${reset}                         : ${LRDF_STATUS}
* ${purple}RUBBERBAND${reset}                   : ${RUBBERBAND_STATUS}
*                                ${LIBRUBBERBAND_MSG}\n"
)

IF(WANT_DEBUG)
    COLOR_MESSAGE("${cyan}Miscellaneous capabilities${reset}
-----------------------------------------
* realtime clock               : ${HAVE_RTCLOCK}
* working sscanf               : ${HAVE_SSCANF}\n"
    )
ENDIF()

COLOR_MESSAGE("-----------------------------------------------------------------
${red}IMPORTANT:${reset}
  after installing missing packages, remove ${CMAKE_BINARY_DIR}/CMakeCache.txt before
  running cmake again!
-----------------------------------------------------------------\n"
)

find_path( HYDROGEN_INSTALLED NAMES hydrogen/config.h )
IF( HYDROGEN_INSTALLED )
    COLOR_MESSAGE("-----------------------------------------------------------------
${red}IMPORTANT${reset}:
  previously installed hydrogen headers found in ${HYDROGEN_INSTALLED}
  you should uninstall these files before building hydrogen unless you know what you are doing.
-----------------------------------------------------------------\n"
    )
ENDIF()

#
# SET BUILD INFORMATION
#
ADD_SUBDIRECTORY(src/core)
ADD_SUBDIRECTORY(src/tests)
ADD_SUBDIRECTORY(src/cli)
ADD_SUBDIRECTORY(src/player)
ADD_SUBDIRECTORY(src/synth)
ADD_SUBDIRECTORY(src/gui)

INSTALL(DIRECTORY data DESTINATION ${SYS_DATA_PATH}/.. PATTERN ".git" EXCLUDE)
IF(NOT WIN32 AND NOT APPLE)
    INSTALL(FILES ${CMAKE_SOURCE_DIR}/linux/hydrogen.desktop DESTINATION "${CMAKE_INSTALL_PREFIX}/share/applications")
ENDIF()

#
# CPack
#
INCLUDE(InstallRequiredSystemLibraries)

SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Hydrogen : an advanced drum machine for GNU/Linux")
SET(CPACK_PACKAGE_VENDOR "Hydrogen Developers")
SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_SOURCE_DIR}/README.txt")
SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING")

SET(CPACK_PACKAGE_VERSION_MAJOR "${VERSION_MAJOR}")
SET(CPACK_PACKAGE_VERSION_MINOR "${VERSION_MINOR}")
SET(CPACK_PACKAGE_VERSION_PATCH "${VERSION_PATCH}")
IF(VERSION_SUFFIX)
    SET(CPACK_PACKAGE_VERSION_PATCH "${VERSION_PATCH}-${VERSION_SUFFIX}")
ENDIF(VERSION_SUFFIX)

SET(CPACK_PACKAGE_INSTALL_DIRECTORY "Hydrogen ${VERSION}")



IF(WIN32)
    # TODO
    #SET(CPACK_PACKAGE_ICON "${CMAKE_SOURCE_DIR}/data\\\\nsis_branding.bmp")
    SET(CPACK_NSIS_MUI_ICON "${CMAKE_SOURCE_DIR}/data\\\\hydrogen.ico")
    SET(CPACK_NSIS_INSTALLED_ICON_NAME "hydrogen.exe")
    SET(CPACK_NSIS_DISPLAY_NAME "Hydrogen (Advanced drum machine for GNU/Linux)")
    SET(CPACK_NSIS_HELP_LINK "http:\\\\\\\\www.hydrogen-music.org/")

=== src/core/CMakeLists.txt ===

CONFIGURE_FILE("${CMAKE_CURRENT_SOURCE_DIR}/include/hydrogen/config.h.in" "${CMAKE_CURRENT_BINARY_DIR}/include/hydrogen/config.h" @ONLY)

FILE(GLOB_RECURSE hydrogen_INCLUDES include/*.h)
FILE(GLOB_RECURSE hydrogen_SOURCES src/*.cpp src/*.cc src/*.c)
LIST(APPEND hydrogen_INCLUDES ${CMAKE_CURRENT_BINARY_DIR}/include/hydrogen/config.h)

ADD_LIBRARY( hydrogen-core-${VERSION} ${H2CORE_LIBRARY_TYPE} ${hydrogen_SOURCES})
INCLUDE_DIRECTORIES( include
    ${CMAKE_SOURCE_DIR}/include                 # regular headers
    ${CMAKE_CURRENT_BINARY_DIR}/include         # generated config.h
    ${QT_INCLUDES}
    ${LIBTAR_INCLUDE_DIR}
    ${LIBARCHIVE_INCLUDE_DIR}
    ${LIBSNDFILE_INCLUDE_DIR}
    ${ALSA_INCLUDE_DIR}
    ${OSS_INCLUDE_DIR}
    ${JACK_INCLUDE_DIR}
    ${PORTAUDIO_INCLUDE_DIR}
    ${PORTMIDI_INCLUDE_DIR}
    ${COREAUDIO_INCLUDE_DIR}
    ${COREMIDI_INCLUDE_DIR}
    ${LASH_INCLUDE_DIR}
    ${LRDF_INCLUDE_DIR}
    ${RUBBERBAND_INCLUDE_DIR}
)

TARGET_LINK_LIBRARIES(hydrogen-core-${VERSION}
    ${QT_QTCORE_LIBRARY}
    ${QT_QTXML_LIBRARY}
    ${QT_QTXMLPATTERNS_LIBRARY}
    ${LIBTAR_LIBRARIES}
    ${LIBARCHIVE_LIBRARIES}
    ${LIBSNDFILE_LIBRARIES}
    ${ALSA_LIBRARIES}
    ${OSS_LIBRARIES}
    ${JACK_LIBRARIES}
    ${PORTAUDIO_LIBRARIES}
    ${PORTMIDI_LIBRARIES}
    ${AUDIOUNIT_LIBRARY}
    ${CORESERVICES_LIBRARY}
    ${COREAUDIO_LIBRARIES}
    ${COREMIDI_LIBRARIES}
    ${PULSEAUDIO_LIBRARIES}
    ${LASH_LIBRARIES}
    ${LRDF_LIBRARIES}
    ${RUBBERBAND_LIBRARIES}
    -lporttime
)

#SET_TARGET_PROPERTIES(hydrogen-core-${VERSION} PROPERTIES PUBLIC_HEADER   "${hydrogen_INCLUDES}" )

INSTALL(TARGETS hydrogen-core-${VERSION}
    LIBRARY DESTINATION "lib${LIB_SUFFIX}"
    ARCHIVE DESTINATION "lib${LIB_SUFFIX}"
    # do not copy directory hierarchy
    #PUBLIC_HEADER DESTINATION include/hydrogen
)

IF(NOT APPPLE AND NOT WIN32)
    INSTALL(DIRECTORY include DESTINATION "${CMAKE_INSTALL_PREFIX}" FILES_MATCHING PATTERN "*.h" PATTERN ".svn" EXCLUDE)
    INSTALL(FILES "${CMAKE_CURRENT_BINARY_DIR}/include/hydrogen/config.h" DESTINATION "${CMAKE_INSTALL_PREFIX}/include/hydrogen" )
ENDIF()

=== debian/changelog ===
hydrogen-git (0.9.6+git20130930-0~precise1) precise; urgency=low

  * New Git (scripted)

 -- falkTX <falktx@gmail.com>  Mon, 30 Sep 2013 11:44:42 +0100

hydrogen-git (0.9.6+git20130905-0~saucy1) saucy; urgency=low

  * Saucy build

 -- falkTX <falktx@gmail.com>  Thu, 05 Sep 2013 19:07:29 +0100

hydrogen-git (0.9.6+git20130905-0~raring1) raring; urgency=low

  * Raring build

 -- falkTX <falktx@gmail.com>  Thu, 05 Sep 2013 19:07:10 +0100

hydrogen-git (0.9.6+git20130905-0~quantal1) quantal; urgency=low

  * Quantal build

 -- falkTX <falktx@gmail.com>  Thu, 05 Sep 2013 19:06:50 +0100

hydrogen-git (0.9.6+git20130905-0~precise1) precise; urgency=low

  * New Git (scripted)

 -- falkTX <falktx@gmail.com>  Thu, 05 Sep 2013 19:06:22 +0100

hydrogen-git (0.9.6+git20130822-0~saucy1) saucy; urgency=low

  * Saucy build

 -- falkTX <falktx@gmail.com>  Thu, 22 Aug 2013 10:34:39 +0100

hydrogen-git (0.9.6+git20130822-0~raring1) raring; urgency=low

  * Raring build

 -- falkTX <falktx@gmail.com>  Thu, 22 Aug 2013 10:34:27 +0100

hydrogen-git (0.9.6+git20130822-0~quantal1) quantal; urgency=low

  * Quantal build

 -- falkTX <falktx@gmail.com>  Thu, 22 Aug 2013 10:34:14 +0100

hydrogen-git (0.9.6+git20130822-0~precise1) precise; urgency=low

  * New Git (scripted)

 -- falkTX <falktx@gmail.com>  Thu, 22 Aug 2013 10:33:57 +0100

hydrogen-git (0.9.6+git20130624-0~saucy1) saucy; urgency=low

  * Saucy build

 -- falkTX <falktx@gmail.com>  Mon, 24 Jun 2013 14:13:04 +0100

hydrogen-git (0.9.6+git20130624-0~raring1) raring; urgency=low

  * Raring build

 -- falkTX <falktx@gmail.com>  Mon, 24 Jun 2013 14:12:50 +0100

hydrogen-git (0.9.6+git20130624-0~quantal1) quantal; urgency=low

  * Quantal build

 -- falkTX <falktx@gmail.com>  Mon, 24 Jun 2013 14:12:36 +0100

hydrogen-git (0.9.6+git20130624-0~precise1) precise; urgency=low

  * New Git (scripted)

 -- falkTX <falktx@gmail.com>  Mon, 24 Jun 2013 14:11:51 +0100

hydrogen-git (0.9.6+git20130614-0~saucy1) saucy; urgency=low

  * Saucy build

 -- falkTX <falktx@gmail.com>  Fri, 14 Jun 2013 09:38:31 +0100

hydrogen-git (0.9.6+git20130614-0~raring1) raring; urgency=low

  * Raring build

 -- falkTX <falktx@gmail.com>  Fri, 14 Jun 2013 09:38:18 +0100

hydrogen-git (0.9.6+git20130614-0~quantal1) quantal; urgency=low

  * Quantal build

 -- falkTX <falktx@gmail.com>  Fri, 14 Jun 2013 09:38:05 +0100

hydrogen-git (0.9.6+git20130614-0~precise1) precise; urgency=low

  * New Git (scripted)

 -- falkTX <falktx@gmail.com>  Fri, 14 Jun 2013 09:37:45 +0100

hydrogen-git (0.9.6+git20130514-0~raring1) raring; urgency=low

  * Raring build

 -- falkTX <falktx@gmail.com>  Tue, 14 May 2013 01:00:43 +0100

hydrogen-git (0.9.6+git20130514-0~quantal1) quantal; urgency=low

  * Quantal build

 -- falkTX <falktx@gmail.com>  Tue, 14 May 2013 01:00:31 +0100

hydrogen-git (0.9.6+git20130514-0~precise1) precise; urgency=low

  * New Git (scripted)

 -- falkTX <falktx@gmail.com>  Tue, 14 May 2013 01:00:14 +0100

hydrogen-git (0.9.6+git20130420-0~raring1) raring; urgency=low

  * Raring build

 -- falkTX <falktx@gmail.com>  Sat, 20 Apr 2013 05:18:16 +0100

hydrogen-git (0.9.6+git20130420-0~quantal1) quantal; urgency=low

  * Quantal build

 -- falkTX <falktx@gmail.com>  Sat, 20 Apr 2013 05:18:04 +0100

hydrogen-git (0.9.6+git20130420-0~precise1) precise; urgency=low

  * New Git (scripted)

 -- falkTX <falktx@gmail.com>  Sat, 20 Apr 2013 05:17:47 +0100

hydrogen-git (0.9.6+git20130329-0~raring1) raring; urgency=low

  * Raring build

 -- falkTX <falktx@gmail.com>  Fri, 29 Mar 2013 07:05:36 +0000

hydrogen-git (0.9.6+git20130329-0~quantal1) quantal; urgency=low

  * Quantal build

 -- falkTX <falktx@gmail.com>  Fri, 29 Mar 2013 07:05:24 +0000

hydrogen-git (0.9.6+git20130329-0~precise1) precise; urgency=low

  * New Git (scripted)

 -- falkTX <falktx@gmail.com>  Fri, 29 Mar 2013 07:05:02 +0000

hydrogen-git (0.9.6+git20130311-0~raring1) raring; urgency=low

  * Raring build

 -- falkTX <falktx@gmail.com>  Mon, 11 Mar 2013 09:49:29 +0000

hydrogen-git (0.9.6+git20130311-0~quantal1) quantal; urgency=low

  * Quantal build

 -- falkTX <falktx@gmail.com>  Mon, 11 Mar 2013 09:49:17 +0000

hydrogen-git (0.9.6+git20130311-0~precise1) precise; urgency=low

  * New Git (scripted)

 -- falkTX <falktx@gmail.com>  Mon, 11 Mar 2013 09:49:03 +0000

hydrogen-git (0.9.6+git20130303-0~raring2) raring; urgency=low

  * Raring build

 -- falkTX <falktx@gmail.com>  Sun, 03 Mar 2013 08:25:11 +0000

hydrogen-git (0.9.6+git20130303-0~quantal2) quantal; urgency=low

  * Quantal build

 -- falkTX <falktx@gmail.com>  Sun, 03 Mar 2013 08:24:58 +0000

hydrogen-git (0.9.6+git20130303-0~precise2) precise; urgency=low

  * New Git (scripted)

 -- falkTX <falktx@gmail.com>  Sun, 03 Mar 2013 05:07:40 +0000

hydrogen-git (0.9.6+git20130224-0~raring1) raring; urgency=low

  * Raring build

 -- falkTX <falktx@gmail.com>  Sun, 24 Feb 2013 20:37:35 +0000

hydrogen-git (0.9.6+git20130224-0~quantal1) quantal; urgency=low

  * Quantal build

 -- falkTX <falktx@gmail.com>  Sun, 24 Feb 2013 20:37:23 +0000

hydrogen-git (0.9.6+git20130224-0~precise1) precise; urgency=low

  * New Git (scripted)

 -- falkTX <falktx@gmail.com>  Sun, 24 Feb 2013 20:37:11 +0000

hydrogen-git (0.9.6+git20130208-0~raring1) raring; urgency=low

  * Raring build

 -- falkTX <falktx@gmail.com>  Fri, 08 Feb 2013 10:17:50 +0000

hydrogen-git (0.9.6+git20130208-0~quantal1) quantal; urgency=low

  * Quantal build

 -- falkTX <falktx@gmail.com>  Fri, 08 Feb 2013 10:17:38 +0000

hydrogen-git (0.9.6+git20130208-0~precise1) precise; urgency=low

  * New Git (scripted)

 -- falkTX <falktx@gmail.com>  Fri, 08 Feb 2013 10:17:21 +0000

hydrogen-git (0.9.6+git20130206-0~raring1) raring; urgency=low

  * Raring build

 -- falkTX <falktx@gmail.com>  Wed, 06 Feb 2013 08:54:29 +0000

hydrogen-git (0.9.6+git20130206-0~quantal1) quantal; urgency=low

  * Quantal build

 -- falkTX <falktx@gmail.com>  Wed, 06 Feb 2013 08:54:18 +0000



=== linux/debian/changelog ===
hydrogen (0.9.6-beta3) unstable; urgency=low

  * Release 0.9.6 beta3
  * new build system (cmake)
  * add undo for song/pattern editor
  * jack-session support
  * some bug fixes

  * Version 0.9.5
  * load playlists at startup
  * midi-learn works now with shift-click on some gui elements
  * multi-track export
  * LADI support
  * maximum number of bars is now configurable
  * added czech translation
  * fixed serveral export song failures
  * added ogg, flac, aiff export support
  * added some new commandline parameter for no_gui version
  * added rubberband-cli support
  * several improvements on sample editor
  * added NO_GUI_SUPPORT to build a version of hydrogen without a gui
  * added support for app bundles on OSX
  * non destructive sample editor
  * piano roll editor
  * instrument midi out
  * destructive midi recording
  * support for midi "note off" messages
  * virtual patterns
  * time line to change song tempo and add tags
  * director
  * and at least several small changes
  * Xml handling is now done by QtXml instead of TinyXML
  * improved support for non-ascii filenames / strings
  * remove direct dependencies to libflac
  * added -k/--kit flag to hydrogen binary to open named drumkit on startup

  * Version 0.9.4

  * added Catalonian translation
  * cleaned up the PlaylistBrowser and AudioFileBrowser UI's
  * fixed various issues with the AudioFileBrowser
  * fixed reading/saving instrument gain settings

  * Version 0.9.4 rc2

  * fixed "fifth beat bug"
  * fixed jack zombifications on startup / drumkit loading
  * fixed segmentation fault after starting with alsa and a blocked audio device
  * fixed several smaller issues
  * added qmake files for building on windows / osx
  * improved scons for building on osx
  
  * Version 0.9.4 rc1
  
  * fixed various buffer overflows
  * fixed segfault with jackdmp 
  * fixed saving of layer filenames
  * fixed resizing of note durations
  * fixed several smaller gui annoyments
  * changed sort order in soundlibrary browser
  * added default pattern category
  * new manual / changed translation method for the new manual

  * Version 0.9.4 beta3

  * over 39 bug fixes since beta2
  * if file DefaultSong.h2song not accessible we create a simple default song
  * patternpropertiesdialog improvements
  * added portaudio v19 patch
  * added "patches" dir
  * added optflags option to Scons
  * change post masterfader fx_return to pre masterfader fx_return
  * Replace jack_client_new() with jack_client_open().
  * added croation translation
  * added support for coreaudio / several osx improvements
  * keyboard now works with AZERTY and QWERTZ layouts
  * add desktop files
  * added new graphic: record icon for midi dialog
  * merge the audio-file-browser branch
  * add french translation files from Yan Morin
  * current loaded drumkit have different background color in soundlibrary
  * added label which displays the loaded soundlibrary
  * added "panic" midi event / shortcut (F12)
  * added russian translation


  * Version 0.9.4 beta2
  
  * QT4 port
  * Autosave
  * Jack port follows instrument names
  * Mute groups for instruments
  * New drumkit manager (with downloadable drumkits)
  * Save and load patterns
  * Jack transport master
  * Beatcounter
  * Playlist editor
  * MMC
  * Lead / lag (pattern editor) 


  * config option 'jack transport buffer offset' for ardour bug
  * fix broken lead / lag
  * several fixes into soundlibrary import
  * download class now supports http redirect correctly
  * config option 'adjust beatcounter offset' to get exact results
    with different hardware
  * new statusbar message to display longer messages than 30 chars
    setScrollStatusBarMessage( QString message, int ms )

 -- Alessandro Cominu <comix@users.sf.net>  Mon, 15 Sep 2008 12:00:00 +0200

=== debian/control ===
Source: hydrogen-git
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 cdbs (>= 0.4.70~),
 devscripts,
 debhelper,
 dh-buildinfo,
 cmake,
 libqt4-dev,
 libz-dev,
 pkg-config,
 libarchive-dev,
 docbook-utils,
 poxml,
 xmlto,
 libxml2-utils,
 libasound2-dev [linux-any],
 libaudiofile-dev,
 libjack-dev,
 liblrdf-dev,
 libsndfile1-dev (>= 1.0.18),
 portaudio19-dev,
 libportmidi-dev,
 librsvg2-bin,
 netpbm
Standards-Version: 3.9.3
Homepage: http://www.hydrogen-music.org/
Vcs-Git: git://git.debian.org/git/pkg-multimedia/hydrogen.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/hydrogen.git;a=summary

Package: hydrogen-git
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 hydrogen-drumkits,
 rubberband-cli
Replaces: hydrogen, hydrogen-svn
Conflicts: hydrogen, hydrogen-svn
Description: advanced drum machine/step sequencer
 Hydrogen is an advanced drum machine.  It's main goal is to bring
 professional yet simple and intuitive pattern-based drum programming.
 .
 General features:
  * Very user-friendly, modular, fast and intuitive graphical interface
    based on QT 4.
  * Sample-based stereo audio engine, with import of sound samples in
    .wav, .au and .aiff formats.
  * Support of samples in compressed FLAC file.
 .
 Sequencer and mixer features:
  * Pattern-based sequencer, with unlimited number of patterns and
    ability to chain patterns into a song.
  * Up to 64 ticks per pattern with individual level per event and
    variable pattern length.
  * 32 instrument tracks with volume, mute, solo, pan capabilities.
  * Multi layer support for instruments (up to 16 samples for each
    instrument).
  * Ability to import/export song files.
  * Unique human velocity, human time, pitch and swing functions.
  * Multiple patterns playing at once.
 .
 Other features:
  * JACK, ALSA, PortAudio and OSS audio drivers.
  * ALSA MIDI and PortMidi input with assignable midi-in channel (1..16,
    ALL).
  * Import/export of drumkits.
  * Export song to wav file.
  * Export song to midi file.
